<?php
// $Id: cram.admin.inc,v 1.1.2.5 2008/04/12 22:33:05 freso Exp $

/**
 * Cram settings page in the admin menu.
 */
function cram_admin_settings() {
  $form = array();
  $form['cram_default_enabled'] = array(
    '#type' => 'radios',
    '#title' => t('CRAM enabled by default'),
    '#default_value' => variable_get('cram_default_enabled', 0),
    '#options' => array(t('Default to insecure login'), t('Default to CRAM login')),
  );
  $form['cram_nonce_ttl'] = array(
    '#type' => 'select',
    '#title' => t('Nonce TTL'),
    '#options' => _cram_nonce_ttl_options(array(1, 2, 5, 10, 15, 30)),
    '#default_value' => CRAM_NONCE_TTL,
    '#description' => t('How long issued nonces should live before expiring.'),
  );
  return system_settings_form($form);
}

/**
 * Helper function to define the options for Nonce TTL.
 *
 * @param $options
 *   An array of which minute numbers should be possible to select.
 * @return
 *   An array usable for $form['foo']['#options'].
 */
function _cram_nonce_ttl_options($options) {
  $ret = array();
  foreach ($options as $minute) {
    $ret[60*$minute] = format_plural($minute, '1 minute', '@count minutes');
  }
  return $ret;
}
